/*/Нормализация CSS + Поднастройки под сайт/*/
@import "normalize.css";
@import "setting.css";

/*/Компоненты сайта CSS/*/
@import "header.css";
@import "button.css";
@import "modal-form.css";
@import "swiper.css";

/*БЛОКИ CSS*/
/* ----------------------- ГЛАВНЫЙ БЛОК НА СТРАНИЦЕ ------------------------------ */
.home {
    /*background-image: url("/img/home-block/home_background.jpg");*/
    /*background-size: cover;*/
    /*background-position: center;*/
    /*background-repeat: no-repeat;*/
    background-color: white;
    min-height: 500px;
    display: flex;
    padding-top: 200px;
    position: relative;
    z-index: 10;
}

.home__content {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 50px;
}

.home__item {
    padding-right: 20px;
}

.home__button {
    display: flex;
}

.home__button .button {
    margin-right: 10px;
}

.home__item-label-social {
    margin-top: 10px;
    font-size: 12px;
    margin-bottom: 10px;
}

.home__button-social {
    display: flex;
}

.home__button-social a {
    background-color: #ffffff;
     border: 1px solid #e9e9e9;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 15px;
    padding-right: 10px;
    border-radius: 10px;
}

.home__button-social a img {
    display: block;
    width: 35px;
    height: 35px;
    border-radius: 5px;
    margin-right: 5px;
}

.home__button .button:last-child {
    margin-right: 0;
}

.home__image {
    position: relative;
}

.home__image img {
    max-width: 550px;
    height: auto;
    display: block;
}

/* ----------------------- БЛОК БЫСТРАЯ ЗАЯВКА НА ЗВОНОК ------------------------------ */
.callback {
    background: white;
}

.callback__content {
    padding: 30px 50px 30px 50px;
    border: 1px solid #ececec;
    border-radius: 10px;
    position: relative;
    background-color: white;
    z-index: 10;
    margin-top: -20px;
}

.callback__content-form-body .form-group {
    width: 100%;
    margin-right: 10px;
}

.callback__content-form-body {
    display: flex;
    justify-content: center;
}

.callback__content-form-button {

}

.callback__content-form-label {
    text-align: center;
    margin-top: 10px;
    font-size: 14px;
}

/* ----------------------- БЛОК ПРЕИМУЩЕСТВ ------------------------------ */
.advantages {
    background: #fbfbfb;
}

.advantages__block {
    background-color: white;
    border: 1px solid #e9e9e9;
    border-radius: 15px;
    padding: 20px;
    display: flex;
}

.advantages__item {
    display: grid;
    grid-template-columns: repeat(3, minmax(240px, 1fr));
    min-height: 145px;
    grid-gap: 16px;
}

.advantages__block-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-right: 10px;
}

.advantages__block-description p {
    font-size: 14px;
    color: black;
}

.advantages__block-image img {
    width: 100px;
    height: 100px;
}

/* ----------------------- БЛОК ПРАЙС НА УСЛУГИ ------------------------------ */
.services {
    background: white;
}

.services__item {
    display: grid;
    grid-template-columns: repeat(3, minmax(240px, 1fr));
    min-height: 100px;
    grid-gap: 16px;
    margin-bottom: 20px;
}

.services__block {
    background-color: white;
    border: 1px solid #e9e9e9;
    border-radius: 15px;
    padding: 20px;
    display: flex;
    position: relative;
    overflow: hidden;
}

.services__block-image {
    background-color: #efefef;
    width: 80px;
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 80px;
    border-radius: 60px;
    margin-right: 10px;
}

.services__block-image img {
    width: 80px;
    height: 80px;
    min-width: 80px;
    display: block;
}

.services__block-text {
    display: flex;
    align-items: start;
    flex-direction: column;
}

.services__block-description p {
    font-size: 14px;
    color: black;
}

.services__block-price {
    position: absolute;
    font-size: 18px;
    right: 0;
    top: 0;
    min-width: 50px;
    min-height: 20px;
    background: #03b900;
    border-radius: 0 0 0  5px;
    padding: 5px;
    color: white;
}

.services__block-price-static {
    width: 100%;
}

.services__block-price-static p {
    font-size: 14px;
    color: black;
    border: none;
    border-top: 1px solid #03b900;
    padding-top: 10px;
    margin-top: 10px;
}

.services__content-label {
    margin-bottom: 20px;
    font-size: 14px;
    color: silver;
}

.services__content button {
    margin: 0 auto;
}

/* ----------------------- БЛОК ВИДЫ ТРАНСПОРТА ------------------------------ */
.transport {
    background: white;
}

.transport__block {
    background-color: white;
    border: 1px solid #e9e9e9;
    border-radius: 15px;
    padding: 20px;
    display: flex;
    position: relative;
}

.transport__item {
    display: grid;
    grid-template-columns: repeat(3, minmax(240px, 1fr));
    min-height: 145px;
    grid-gap: 16px;
    margin-bottom: 20px;
}

.transport__block-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-right: 10px;
}

.transport__block-description p {
    font-size: 14px;
    color: black;
}

.transport__block-image {
    margin-right: -20px;
    display: flex;
    align-items: center;
    justify-content: end;
    width: 50%;
}

.transport__block-image img {
    height: 80px;
    width: 120px;
}

.transport__content-description {
    margin-top: 20px;
    margin-bottom: 20px;
}

.transport__content button {
    margin: 0 auto;
}


/* ----------------------- БЛОК АЛГОРИТМ РАБОТЫ ------------------------------ */
.algorithm {
    background: #ffffff;
}

.algorithm__block {
    background-color: white;
    border: 1px solid #e9e9e9;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    position: relative;
}

.algorithm__item {
    display: grid;
    grid-template-columns: repeat(4, minmax(240px, 1fr));
    min-height: 105px;
    grid-gap: 16px;
}

.algorithm__block-text {
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.algorithm__block-description p {
    font-size: 14px;
    color: black;
}

.algorithm__block-number {
    position: absolute;
    right: 10px;
    bottom: 10px;
    color: #000000;
    font-size: 14px;
}

.algorithm__content-description {
    margin-top: 20px;
    margin-bottom: 20px;
}

.algorithm__content button {
    margin: 0 auto;
}

/* ----------------------- БЛОК ГАЛЕРЕИ - ФОТО ------------------------------ */
.gallery {
    background: #fbfbfb;
}

.gallery__content-description {
    margin-top: 20px;
}

/* ----------------------- БЛОК ОТЗЫВЫ КЛИЕНТОВ ------------------------------ */
.reviews {
    background: #fbfbfb;;
}


.reviews__block {
    display: flex;
    flex-direction: column;
    position: relative;
}

.reviews__block-image {
    position: absolute;
    background-color: silver;
    width: 85px;
    height: 85px;
    border-radius: 60px;
    border: 2px solid #000000;
    right: 0;
    bottom: 0;
    overflow: hidden;
}

.reviews__block-image img {
    width: 80px;
    height: 80px;
}

.reviews__block-text {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 15px;
    border: 1px solid #e9e9e9;
    min-height: 150px;
}

.reviews__block-text p {
    font-size: 14px;
}

.reviews__block-label {
    margin-top: 10px;
}

.reviews__block-label-name {
    font-weight: 500;
    text-transform: uppercase;
}

.reviews__block-label-stamp {
    color: #ababab;
    margin-top: 5px;
}

/* ----------------------- ПОДВАЛ САЙТА ------------------------------ */
.footer {
    background-color: #ffffff;
    width: 100%;
    padding: 15px 0 15px 0;
    margin-top: auto;
    display: flex;
    align-items: center;
}

.footer__item {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer__image {
    margin-bottom: 2px;
}

.footer__label {
    font-size: 14px;
}

.footer__label-phrase {
    font-size: 14px;
    color: #000000;
    margin-bottom: 5px;
}

.footer__label-name {
    font-size: 12px;
    color: #c2c2c2;
}

.footer__label-date {
    font-size: 12px;
    color: #c2c2c2;
}

.footer__contact {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-right: 20px;
    margin-left: 20px;
    position: relative;
}

.footer__contact-content {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
}

.footer__contact-content:last-child {
    margin-bottom: 0;
}

.footer__contact-content a {
    font-weight: 500;
    font-size: 18px;
}

.footer__contact-content img {
    margin-right: 5px;
}

/* ----------------------- СТРАНИЦА 404 ------------------------------ */
.error {
    padding-top: 100px;
    width: 100%;
    height: 100vh;
    background-color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.error__item {
    text-align: center;
}

.error__item img {
    width: 300px;
    height: auto;
    display: block;
    margin: 0 auto 30px;
}

/* -------------------------- ФИКСИРОВАННАЯ КНОПКА ПОЗВОНИТЬ --------------------------------------*/
.call-button {
    position: fixed;
    z-index: 1000;
    width: 100%;
    background-color: black;
    right: 0;
    left: 0;
    bottom: 0;
    padding: 25px 10px;
    cursor: pointer;
    display: none;
    text-align: center;
}

.call-button a {
    font-size: 24px;
    font-weight: 600;
    letter-spacing: 2px;
}



/*------------------------- МЕДИЯ ЗАПРОСЫ ---------------------------*/
/*-------------------------------------------------------------------*/

/*Устройства X-Large (большие настольные компьютеры, менее 1400 пикселей)*/
@media (max-width: 1399.98px) {
    /* ----------------------- ГЛАВНЫЙ БЛОК НА СТРАНИЦЕ ------------------------------ */
    /* ----------------------- БЛОК ЗАЯВКА НА ЗВОНОК ------------------------------ */
    /* ----------------------- БЛОК ПРАЙС НА УСЛУГИ ------------------------------ */
    /* ----------------------- БЛОК ПРЕИМУЩЕСТВ ------------------------------ */
    /* ----------------------- БЛОК ВИДЫ ТРАНСПОРТА ------------------------------ */
    /* ----------------------- БЛОК АЛГОРИТМ ------------------------------ */
    /* ----------------------- БЛОК ГАЛЕРЕЯ ------------------------------ */
    /* ----------------------- БЛОК ОТЗЫВЫ КЛИЕНТОВ ------------------------------ */
}

/*Устройства Large (настольные компьютеры, менее 1200 пикселей)*/
@media (max-width: 1199.98px) {
    /* ----------------------- ГЛАВНЫЙ БЛОК НА СТРАНИЦЕ ------------------------------ */
    .home__image img {
        max-width: 520px;
    }
    /* ----------------------- БЛОК ЗАЯВКА НА ЗВОНОК ------------------------------ */
    /* ----------------------- БЛОК ПРАЙС НА УСЛУГИ ------------------------------ */
    .services__item {
        grid-template-columns: repeat(2, minmax(240px, 1fr));
    }
    /* ----------------------- БЛОК ПРЕИМУЩЕСТВ ------------------------------ */
    /* ----------------------- БЛОК ВИДЫ ТРАНСПОРТА ------------------------------ */
    .transport__item {
        grid-template-columns: repeat(2, minmax(240px, 1fr));
    }

    /* ----------------------- БЛОК АЛГОРИТМ ------------------------------ */
    .algorithm__item {
        grid-template-columns: repeat(2, minmax(240px, 1fr));
    }
    /* ----------------------- БЛОК ГАЛЕРЕЯ ------------------------------ */
    /* ----------------------- БЛОК ОТЗЫВЫ КЛИЕНТОВ ------------------------------ */
}

/* Устройства Medium (планшеты, менее 992 пикселей)*/
@media (max-width: 991.98px) {
    /* ----------------------- ГЛАВНЫЙ БЛОК НА СТРАНИЦЕ ------------------------------ */
    .home__image img {
        max-width: 420px;
    }

    .home__image::before {
        width: 250px;
        height: 250px;
    }

    .home__content {
        flex-direction: column;
    }

    .home__item {
        padding-right: 0;
        margin-bottom: 20px;
        text-align: center;
    }

    .home__button {
        justify-content: center;
    }

    .home__button-social {
        justify-content: center;
    }
    /* ----------------------- БЛОК ЗАЯВКА НА ЗВОНОК ------------------------------ */
    /* ----------------------- БЛОК ПРАЙС НА УСЛУГИ ------------------------------ */
    /* ----------------------- БЛОК ПРЕИМУЩЕСТВ ------------------------------ */
    .advantages__item {
        grid-template-columns: repeat(2, minmax(240px, 1fr));
    }
    /* ----------------------- БЛОК ВИДЫ ТРАНСПОРТА ------------------------------ */
    /* ----------------------- БЛОК АЛГОРИТМ ------------------------------ */
    /* ----------------------- БЛОК ГАЛЕРЕЯ ------------------------------ */
    /* ----------------------- БЛОК ОТЗЫВЫ КЛИЕНТОВ ------------------------------ */
    /* ----------------------- БЛОК ЗАЯВКА НА ЗВОНОК ------------------------------ */
}

/*Устройства Small (телефоны с горизонтальной ориентацией, менее 768 пикселей)*/
@media (max-width: 767.98px) {
    /* ----------------------- ГЛАВНЫЙ БЛОК НА СТРАНИЦЕ ------------------------------ */
    /* ----------------------- БЛОК ЗАЯВКА НА ЗВОНОК ------------------------------ */
    /* ----------------------- БЛОК ПРАЙС НА УСЛУГИ ------------------------------ */
    /* ----------------------- БЛОК ПРЕИМУЩЕСТВ ------------------------------ */
    .services__item {
        grid-template-columns: repeat(1, minmax(240px, 1fr));
    }
    .services__block-button {
        display: block;
    }
    /* ----------------------- БЛОК ВИДЫ ТРАНСПОРТА ------------------------------ */
    /* ----------------------- БЛОК АЛГОРИТМ ------------------------------ */
    /* ----------------------- БЛОК ГАЛЕРЕЯ ------------------------------ */
    /* ----------------------- БЛОК ОТЗЫВЫ КЛИЕНТОВ ------------------------------ */
    .callback__content-form-body  {
        flex-direction: column;
        align-items: center;
    }

    .callback__content-form-body .form-group {
        margin-right: 0;
    }

    .callback__content-form-button {
        width: 100%;
    }

    .callback__content-form-button .button {
        width: 100%;
    }
}

/*Устройства X-Small (портретные телефоны, менее 576 пикселей)*/
@media (max-width: 575.98px) {
    /* ----------------------- ГЛАВНЫЙ БЛОК НА СТРАНИЦЕ ------------------------------ */
    .home__button {
        align-items: center;
        flex-direction: column;
    }

    .home__button .button {
        margin-right: 0;
        margin-bottom: 10px;
    }

    .home__image img {
        max-width: 280px;
    }

    .home__image::before {
        width: 200px;
        height: 200px;
    }
    /* ----------------------- БЛОК ЗАЯВКА НА ЗВОНОК ------------------------------ */
    .callback__content {
        padding: 25px 25px 25px 25px;
    }
    /* ----------------------- БЛОК ПРАЙС НА УСЛУГИ ------------------------------ */
    .services__block {
        flex-direction: column;
    }

    .services__block-image {
        width: 100%;
        margin-right: 0;
        margin-bottom: 10px;
        display: flex;
        justify-content: center;
    }

    .services__block-image img {
        margin-right: 0;
    }
    /* ----------------------- БЛОК ПРЕИМУЩЕСТВ ------------------------------ */
    .advantages__item {
        grid-template-columns: repeat(1, minmax(240px, 1fr));
    }


    /* ----------------------- БЛОК ВИДЫ ТРАНСПОРТА ------------------------------ */
    .transport__item {
        grid-template-columns: repeat(1, minmax(240px, 1fr));
    }

    /* ----------------------- БЛОК АЛГОРИТМ ------------------------------ */
    .algorithm__item {
        grid-template-columns: repeat(1, minmax(240px, 1fr));
    }


    /* ----------------------- БЛОК ГАЛЕРЕЯ ------------------------------ */
    /* ----------------------- БЛОК ОТЗЫВЫ КЛИЕНТОВ ------------------------------ */

    /* ----------------------- ФУТЕР САЙТА ------------------------------ */
    .footer__item {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column-reverse;
    }
    .footer__item-left {
        margin-top: 20px;
        text-align: center;
    }

    /* ----------------------- СТРАНИЦА 404 ------------------------------ */
    .error__item img {
        width: 230px;
    }
}


/*Устройства Small (телефоны, менее 320 пикселей)*/
@media (max-width: 320.0px) {
    /* ----------------------- ГЛАВНЫЙ БЛОК НА СТРАНИЦЕ ------------------------------ */
    /* ----------------------- БЛОК ЗАЯВКА НА ЗВОНОК ------------------------------ */
    /* ----------------------- БЛОК ПРАЙС НА УСЛУГИ ------------------------------ */
    /* ----------------------- БЛОК ПРЕИМУЩЕСТВ ------------------------------ */
    /* ----------------------- БЛОК ВИДЫ ТРАНСПОРТА ------------------------------ */
    /* ----------------------- БЛОК АЛГОРИТМ ------------------------------ */
    /* ----------------------- БЛОК ГАЛЕРЕЯ ------------------------------ */
    /* ----------------------- БЛОК ОТЗЫВЫ КЛИЕНТОВ ------------------------------ */

}










